Package org.eclipse.m2m.atl.emftvm.impl

## Class InvokeCbImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.m2m.atl.emftvm.impl.InstructionImpl
        - - org.eclipse.m2m.atl.emftvm.impl.CodeBlockInstructionImpl
          - - org.eclipse.m2m.atl.emftvm.impl.InvokeCbImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `CodeBlockInstruction`, `Instruction`, `InvokeCb`, `InvokeInstruction`

    public class InvokeCbImpl
    extends CodeBlockInstructionImpl
    implements InvokeCb

An implementation of the model object 'Invoke cb'.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected int` `argcount` The cached value of the '`Argcount`' attribute.
`protected static int` `ARGCOUNT_EDEFAULT` The default value of the '`Argcount`' attribute.

### Fields inherited from class org.eclipse.m2m.atl.emftvm.impl.CodeBlockInstructionImpl

`CB_INDEX_EDEFAULT, cbIndex, codeBlock`

### Fields inherited from class org.eclipse.m2m.atl.emftvm.impl.InstructionImpl

`lineNumber, opcode, OPCODE_EDEFAULT, STACK_CONSUMPTION_EDEFAULT, STACK_LEVEL_EDEFAULT, STACK_PRODUCTION_EDEFAULT, stackConsumption, stackLevel, stackLevelSet, stackProduction`

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `InvokeCbImpl()` Creates a new `InvokeCbImpl`.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `eBaseStructuralFeatureID​(int derivedFeatureID, java.lang.Class<?> baseClass)`
`int` `eDerivedStructuralFeatureID​(int baseFeatureID, java.lang.Class<?> baseClass)`
`java.lang.Object` `eGet​(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet​(int featureID)`
`void` `eSet​(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()` Returns the `EClass` that correspond to this metaclass.
`void` `eUnset​(int featureID)`
`int` `getArgcount()` Returns the value of the 'Argcount' attribute.
`int` `getStackConsumption()` Returns the value of the 'Stack Consumption' attribute.
`int` `getStackProduction()` Returns the value of the 'Stack Production' attribute.
`void` `setArgcount​(int newArgcount)` Sets the value of the '`Argcount`' attribute.
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.impl.CodeBlockInstructionImpl

`basicGetCodeBlock, getCbIndex, getCodeBlock, setCbIndex, setCodeBlock`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.impl.InstructionImpl

`basicGetLineNumber, basicSetLineNumber, basicSetOwningBlock, eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, eNotify, getLineNumber, getOpcode, getOwningBlock, getStackLevel, setLineNumber, setOwningBlock`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.CodeBlockInstruction

`getCbIndex, getCodeBlock, setCbIndex, setCodeBlock`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.Instruction

`getLineNumber, getOpcode, getOwningBlock, getStackLevel, setLineNumber, setOwningBlock`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### ARGCOUNT_EDEFAULT

    protected static final int ARGCOUNT_EDEFAULT

The default value of the '`Argcount`' attribute.

See Also:
  `getArgcount()`, Constant Field Values

#### argcount

    protected int argcount

The cached value of the '`Argcount`' attribute.

See Also:
  `getArgcount()`

### Constructor Detail

#### InvokeCbImpl

    protected InvokeCbImpl()

Creates a new `InvokeCbImpl`.

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Returns the `EClass` that correspond to this metaclass.

Overrides:
  `eStaticClass` in class `CodeBlockInstructionImpl`
Returns:
  the `EClass` that correspond to this metaclass.

#### getArgcount

    public int getArgcount()

Returns the value of the 'Argcount' attribute.

If the meaning of the 'Argcount' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getArgcount` in interface `InvokeInstruction`
Returns:
  the value of the 'Argcount' attribute.
See Also:
  `InvokeInstruction.setArgcount(int)`, `EmftvmPackage.getInvokeInstruction_Argcount()`

#### setArgcount

    public void setArgcount​(int newArgcount)

Sets the value of the '`Argcount`' attribute.

Specified by:
  `setArgcount` in interface `InvokeInstruction`
Parameters:
  `newArgcount` - the new value of the 'Argcount' attribute.
See Also:
  `InvokeInstruction.getArgcount()`

#### eGet

    public java.lang.Object eGet​(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `CodeBlockInstructionImpl`

#### eSet

    public void eSet​(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `CodeBlockInstructionImpl`

#### eUnset

    public void eUnset​(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `CodeBlockInstructionImpl`

#### eIsSet

    public boolean eIsSet​(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `CodeBlockInstructionImpl`

#### eBaseStructuralFeatureID

    public int eBaseStructuralFeatureID​(int derivedFeatureID,
                                        java.lang.Class<?> baseClass)

Specified by:
  `eBaseStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eBaseStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID​(int baseFeatureID,
                                           java.lang.Class<?> baseClass)

Specified by:
  `eDerivedStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eDerivedStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `CodeBlockInstructionImpl`

#### getStackConsumption

    public int getStackConsumption()

Returns the value of the 'Stack Consumption' attribute. The default value is `"0"`.

If the meaning of the 'Stack Consumption' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getStackConsumption` in interface `Instruction`
Overrides:
  `getStackConsumption` in class `InstructionImpl`
Returns:
  the value of the 'Stack Consumption' attribute.
See Also:
  `EmftvmPackage.getInstruction_StackConsumption()`

#### getStackProduction

    public int getStackProduction()

Returns the value of the 'Stack Production' attribute. The default value is `"0"`.

If the meaning of the 'Stack Production' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getStackProduction` in interface `Instruction`
Overrides:
  `getStackProduction` in class `InstructionImpl`
Returns:
  the value of the 'Stack Production' attribute.
See Also:
  `EmftvmPackage.getInstruction_StackProduction()`